PHP/Libyaml Updates for Slackware
Posted on: 04/22/2014 10:32 AM

The following two updates are available for Slackware:

libyaml (SSA:2014-111-01)
php (SSA:2014-111-02)

libyaml (SSA:2014-111-01)
New libyaml packages are available for Slackware 13.1, 13.37, 14.0, 14.1,
and -current to fix a security issue.


Here are the details from the Slackware 14.1 ChangeLog:
+--------------------------+
patches/packages/libyaml-0.1.6-i486-1_slack14.1.txz: Upgraded.
This update fixes a heap overflow in URI escape parsing of YAML in Ruby,
where a specially crafted string could cause a heap overflow leading to
arbitrary code execution.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2525
https://www.ruby-lang.org/en/news/2014/03/29/heap-overflow-in-yaml-uri-escape-parsing-cve-2014-2525/
(* Security fix *)
+--------------------------+


Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 13.1:
ftp://ftp.slackware.com/pub/slackware/slackware-13.1/patches/packages/libyaml-0.1.6-i486-1_slack13.1.txz

Updated package for Slackware x86_64 13.1:
ftp://ftp.slackware.com/pub/slackware/slackware64-13.1/patches/packages/libyaml-0.1.6-x86_64-1_slack13.1.txz

Updated package for Slackware 13.37:
ftp://ftp.slackware.com/pub/slackware/slackware-13.37/patches/packages/libyaml-0.1.6-i486-1_slack13.37.txz

Updated package for Slackware x86_64 13.37:
ftp://ftp.slackware.com/pub/slackware/slackware64-13.37/patches/packages/libyaml-0.1.6-x86_64-1_slack13.37.txz

Updated package for Slackware 14.0:
ftp://ftp.slackware.com/pub/slackware/slackware-14.0/patches/packages/libyaml-0.1.6-i486-1_slack14.0.txz

Updated package for Slackware x86_64 14.0:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.0/patches/packages/libyaml-0.1.6-x86_64-1_slack14.0.txz

Updated package for Slackware 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware-14.1/patches/packages/libyaml-0.1.6-i486-1_slack14.1.txz

Updated package for Slackware x86_64 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.1/patches/packages/libyaml-0.1.6-x86_64-1_slack14.1.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/l/libyaml-0.1.6-i486-1.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/l/libyaml-0.1.6-x86_64-1.txz


MD5 signatures:
+-------------+

Slackware 13.1 package:
ee12af7c3173ac80afcdba11b9a253e2 libyaml-0.1.6-i486-1_slack13.1.txz

Slackware x86_64 13.1 package:
b2d1e2739d63096bf83c2b71c6423b90 libyaml-0.1.6-x86_64-1_slack13.1.txz

Slackware 13.37 package:
0a09d7c2b5b4768fd28943c928509ce9 libyaml-0.1.6-i486-1_slack13.37.txz

Slackware x86_64 13.37 package:
2dff3186a79762ed878eee01ac152896 libyaml-0.1.6-x86_64-1_slack13.37.txz

Slackware 14.0 package:
0a0e0fa373591b7f241fbf34dcc64f4e libyaml-0.1.6-i486-1_slack14.0.txz

Slackware x86_64 14.0 package:
55a0705841814c951ef8703603981ea9 libyaml-0.1.6-x86_64-1_slack14.0.txz

Slackware 14.1 package:
a718d0a7faa8abac75488c80f42bfc9c libyaml-0.1.6-i486-1_slack14.1.txz

Slackware x86_64 14.1 package:
7b628961f34dcafbef95da4f54ab66ca libyaml-0.1.6-x86_64-1_slack14.1.txz

Slackware -current package:
2186402ef70c0ecbe50d804017696389 l/libyaml-0.1.6-i486-1.txz

Slackware x86_64 -current package:
5050ebe1ed835d695bb32a369e56fd41 l/libyaml-0.1.6-x86_64-1.txz


Installation instructions:
+------------------------+

Upgrade the package as root:
# upgradepkg libyaml-0.1.6-i486-1_slack14.1.txz


php (SSA:2014-111-02)
New php packages are available for Slackware 14.0, 14.1, and -current to
fix a security issue.


Here are the details from the Slackware 14.1 ChangeLog:
+--------------------------+
patches/packages/php-5.4.27-i486-1_slack14.1.txz: Upgraded.
This update fixes a security issue in the in the awk script detector
which allows context-dependent attackers to cause a denial of service
(CPU consumption) via a crafted ASCII file that triggers a large amount
of backtracking.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-7345
(* Security fix *)
+--------------------------+


Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 14.0:
ftp://ftp.slackware.com/pub/slackware/slackware-14.0/patches/packages/php-5.4.27-i486-1_slack14.0.txz

Updated package for Slackware x86_64 14.0:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.0/patches/packages/php-5.4.27-x86_64-1_slack14.0.txz

Updated package for Slackware 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware-14.1/patches/packages/php-5.4.27-i486-1_slack14.1.txz

Updated package for Slackware x86_64 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.1/patches/packages/php-5.4.27-x86_64-1_slack14.1.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/n/php-5.4.27-i486-1.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/n/php-5.4.27-x86_64-1.txz


MD5 signatures:
+-------------+

Slackware 14.0 package:
4b2cf92d4630552eb1d5d2ffe43e3e85 php-5.4.27-i486-1_slack14.0.txz

Slackware x86_64 14.0 package:
7f1c76279a73ece133fa0f0b3e3afaca php-5.4.27-x86_64-1_slack14.0.txz

Slackware 14.1 package:
c2f2a8a0077b94cbb725389de802ad20 php-5.4.27-i486-1_slack14.1.txz

Slackware x86_64 14.1 package:
62ad0a4511e91f2d7ce94c5b9caffa7a php-5.4.27-x86_64-1_slack14.1.txz

Slackware -current package:
647463455eec2306f36eafd1ea61dd31 n/php-5.4.27-i486-1.txz

Slackware x86_64 -current package:
966c42fc092a8d4c2b7d6113ed8cbfcf n/php-5.4.27-x86_64-1.txz


Installation instructions:
+------------------------+

Upgrade the package as root:
# upgradepkg php-5.4.27-i486-1_slack14.1.txz

Then, restart Apache httpd:
# /etc/rc.d/rc.httpd stop
# /etc/rc.d/rc.httpd start





Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/phplibyaml_updates_for_slackware.html)